## p4vasp 0.3.29%2Bdfsg

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg//,downloadurlmangle=s/summary/finish/,filenamemangle=s/.*p4vasp-(\d)-(\d)-(\d+)/p4vasp-$1.$2.$3.tgz/ \
http://p4vasp.at/index.php/downloads/viewcategory/2-source-code/ \
/index.php/downloads/summary/2-source-code/.*p4vasp-(\d)-(\d)-(\d+)
