=== debian/control ===
Source: p4vasp
Section: science
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Graham Inggs <ginggs@debian.org>
Build-Depends: debhelper (>= 10),
               dh-python,
               libfltk1.3-dev | libfltk-dev,
               libglu1-mesa-dev,
               python-dev (>= 2.6.6-3~),
               swig
Standards-Version: 4.0.0
Homepage: http://p4vasp.at/
Vcs-Browser: https://anonscm.debian.org/cgit/debichem/packages/p4vasp.git
Vcs-Git: https://anonscm.debian.org/git/debichem/packages/p4vasp.git

Package: p4vasp
Architecture: any
Depends: libgnomeui-0,
         python-glade2,
         python-gobject,
         python-numpy,
         python-opengl,
         python-pysqlite2,
         python-tk,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Suggests: grace, povray, xfig
Description: visualization suite for the Vienna Ab-initio Simulation Package (VASP)
 p4VASP is a visualization suite for the Vienna Ab-initio Simulation Package
 (VASP). It contains an extensible GUI framework, that can be used to view
 material structure, density of states, band-structure and more.
 .
 It provides a Python library, that greatly simplifies the process of
 manipulation of the VASP input and output data in Python scripts. P4vasp
 utilizes also many handy routines and objects e.g. for creating 2D graphs,
 data storage (xml,DOM) or simple matrix library.
