=== debian/rules ===
#!/usr/bin/make -f

DESTDIR = $(CURDIR)/debian/tmp
PYVERSION = $(shell pyversions -d)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --with python2

override_dh_auto_build:
	make \
		P4VASP_HOME=/usr/share/p4vasp \
		PYTHON_HOME=/usr/lib/$(PYVERSION) \
		PYINCLUDE=/usr/include/$(PYVERSION)

override_dh_auto_install:
	make install \
		P4VASP_HOME=$(DESTDIR)/usr/share/p4vasp \
		PYTHON_HOME=/usr/lib/$(PYVERSION) \
		PYINCLUDE=/usr/include/$(PYVERSION) \
		SITE_PACKAGES=$(DESTDIR)/usr/lib/$(PYVERSION)/dist-packages \
		INCLUDEDIR=$(DESTDIR)/usr/include \
		LIBDIR=$(DESTDIR)/usr/lib \
		BINDIR=$(DESTDIR)/usr/bin
	# Permissions:
	find $(DESTDIR)/usr -type f -exec chmod 644 {} \;
	chmod 755 $(DESTDIR)/usr/share/p4vasp/data/database

override_dh_auto_clean:
	make cleanall
	rm -f src/cp4vasp.py
	rm -f src/cp4vasp_wrap.cpp
	rm -f uninstall.sh

get-orig-source:
	uscan --no-conf --download-current-version --repack --compression xz
