=== debian/changelog ===
p4vasp (0.3.30+dfsg-3) unstable; urgency=medium

  * Update Vcs-* URIs for move to salsa.debian.org
  * Depend on python-gobject-2 instead of python-gobject
    transitional package (Closes: #890163)
  * Turn debhelper up to 11
  * Update debian/copyright
  * Fix duplicate word in patch description
  * Bump Standards-Version to 4.1.3, no changes

 -- Graham Inggs <ginggs@debian.org>  Wed, 21 Feb 2018 18:32:11 +0000

p4vasp (0.3.30+dfsg-2) unstable; urgency=medium

  * Do not export PYTHONPATH from /usr/bin/p4v (Closes: #883376)

 -- Graham Inggs <ginggs@debian.org>  Sun, 03 Dec 2017 12:30:19 +0000

p4vasp (0.3.30+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Update debian/watch, debian/rules for new upstream website
  * Drop fix-spelling-errors.patch, refresh remaining
  * Fix path for main window icon
  * Remove trailing whitespace from debian/changelog
  * Update debian/copyright, exclude lib/_cp4vasp.so
  * Bump Standards-Version to 4.1.2, no further changes

 -- Graham Inggs <ginggs@debian.org>  Sat, 02 Dec 2017 14:23:11 +0000
