## p4vasp 0.3.30+dfsg

=== Makefile ===
--- 
+++ 
@@ -64,9 +64,10 @@
 	echo "#!`which sh`" >$(P4V)
 	echo "export LD_PRELOAD=libstdc++.so.6" >>$(P4V)
 	echo "export PYTHONPATH=\$$PYTHONPATH:"$(SITE_PACKAGES) >>$(P4V)
-	echo "export APPMENU_DISPLAY_BOTH=1" >>$(P4V)
+	echo "#export APPMENU_DISPLAY_BOTH=1" >>$(P4V)
+	echo "export UBUNTU_MENUPROXY=0" >>$(P4V)
 	echo "export P4VASP_HOME="$(P4VASP_HOME) >> $(P4V)
-	echo "exec python "$(BINDIR)"/p4v.py \$$1 \$$2 \$$3" >>$(P4V)
+	echo "exec python "$(BINDIR)"/p4v.py \"\$$@\"" >>$(P4V)
 appletlist:
 	cd install && python makeappletlist.py
 bashrc:setenvironment
