=== odpdom/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 CPP     = g++
 LD      = g++
 LIBS    =
-LDFLAGS = -shared -L.
+LDFLAGS += -shared -L.
 FLAGS   = -DPY_DOMEXC_MODULE="\"xml.dom.\""
           -DCHECK=5 \
           -DVERBOSE=5 \
@@ -10,7 +10,7 @@
 #	  -DNO_THROW
 
 PYINCLUDE=`python -c "import sys;import os.path;print os.path.join(sys.prefix,\"include\",\"python\"+sys.version[:3])"`
-CFLAGS  = -fpic -g $(FLAGS) -I$(PYINCLUDE)  -Iinclude
+CFLAGS  += -fpic -g $(FLAGS) -I$(PYINCLUDE)  -Iinclude
 
 SWIGFLAGS = -python -c++ $(FLAGS)
