=== debian/changelog ===
p4vasp (0.3.30+dfsg-5) unstable; urgency=medium

  * Fix reproducible build on merged-usr vs non-merged systems,
    thanks Andreas Henriksson (Closes: #915844)
  * Bump Standards-Version to 4.3.0, no changes
  * Update debian/copyright

 -- Graham Inggs <ginggs@debian.org>  Fri, 25 Jan 2019 10:14:23 +0000

p4vasp (0.3.30+dfsg-4) unstable; urgency=medium

  * Drop dependency on libgnomeui-0, thanks Jeremy Bicha! (Closes: #911204)
  * Bump Standards-Version to 4.2.1, no changes

 -- Graham Inggs <ginggs@debian.org>  Fri, 16 Nov 2018 09:32:37 +0000
