=== debian/control ===
--- 
+++ 
@@ -3,22 +3,21 @@
 Priority: optional
 Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders: Graham Inggs <ginggs@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                dh-python,
                libfltk1.3-dev | libfltk-dev,
                libglu1-mesa-dev,
                python-dev (>= 2.6.6-3~),
                swig
-Standards-Version: 4.0.0
+Standards-Version: 4.3.0
 Homepage: http://p4vasp.at/
-Vcs-Browser: https://anonscm.debian.org/cgit/debichem/packages/p4vasp.git
-Vcs-Git: https://anonscm.debian.org/git/debichem/packages/p4vasp.git
+Vcs-Browser: https://salsa.debian.org/debichem-team/p4vasp
+Vcs-Git: https://salsa.debian.org/debichem-team/p4vasp.git
 
 Package: p4vasp
 Architecture: any
-Depends: libgnomeui-0,
-         python-glade2,
-         python-gobject,
+Depends: python-glade2,
+         python-gobject-2,
          python-numpy,
          python-opengl,
          python-pysqlite2,
